<template>
  <div v-loading="loading">
    <h1 class="text-xs-center">KDJ</h1>
    <v-container grid-list-md>
      <v-layout>
        <v-flex xs3>
          <v-card dark color="secondary">
            <v-card-text>
              BT profit in total: 25%
            </v-card-text>
          </v-card>
        </v-flex>
        <v-flex xs3>
          <v-card dark color="secondary">
            <v-card-text>
              BT profit in yearly: 25%
            </v-card-text>
          </v-card>
        </v-flex>
        <v-flex xs3>
          <v-card dark color="secondary">
            <v-card-text>
              base profit in total: 25%
            </v-card-text>
          </v-card>
        </v-flex>
        <v-flex xs3>
          <v-card dark color="secondary">
            <v-card-text>
              base profit in yearly: 25%
            </v-card-text>
          </v-card>
        </v-flex>
      </v-layout>
    </v-container>
    <div class="echart" id="echart" ref="mychart">
    </div>
    <v-expansion-panel>
    <v-expansion-panel-content>
      <div slot="header" class="text-xs-center">show tarding detail</div>
      <v-card>
        <v-card-text>
          <v-data-table
            :headers="headers"
            :items="desserts"
            hide-actions
            class="elevation-1">
            <template slot="items" slot-scope="props">
              <td>{{ props.item.name }}</td>
              <td>{{ props.item.calories }}</td>
              <td>{{ props.item.fat }}</td>
              <td>{{ props.item.carbs }}</td>
              <td>{{ props.item.protein }}</td>
              <td>{{ props.item.iron }}</td>
            </template>
          </v-data-table>
        </v-card-text>
      </v-card>
    </v-expansion-panel-content>
  </v-expansion-panel>
  </div>
</template>

<script>
// echarts相关
import echarts from 'echarts'
export default {
  components: {
  },
  data () {
    return {
      chart: null,
      loading: false,
      headers: [
        { text: 'Dessert (100g serving)', align: 'left', value: 'name' },
        { text: 'Calories', value: 'calories', sortable: false },
        { text: 'Fat (g)', value: 'fat', sortable: false },
        { text: 'Carbs (g)', value: 'carbs', sortable: false },
        { text: 'Protein (g)', value: 'protein', sortable: false },
        { text: 'Iron (%)', value: 'iron', sortable: false }
      ],
      desserts: [
        {
          value: false,
          name: 'Frozen Yogurt',
          calories: 159,
          fat: 6.0,
          carbs: 24,
          protein: 4.0,
          iron: '1%'
        },
        {
          value: false,
          name: 'Ice cream sandwich',
          calories: 237,
          fat: 9.0,
          carbs: 37,
          protein: 4.3,
          iron: '1%'
        },
        {
          value: false,
          name: 'Eclair',
          calories: 262,
          fat: 16.0,
          carbs: 23,
          protein: 6.0,
          iron: '7%'
        },
        {
          value: false,
          name: 'Cupcake',
          calories: 305,
          fat: 3.7,
          carbs: 67,
          protein: 4.3,
          iron: '8%'
        },
        {
          value: false,
          name: 'Gingerbread',
          calories: 356,
          fat: 16.0,
          carbs: 49,
          protein: 3.9,
          iron: '16%'
        },
        {
          value: false,
          name: 'Jelly bean',
          calories: 375,
          fat: 0.0,
          carbs: 94,
          protein: 0.0,
          iron: '0%'
        },
        {
          value: false,
          name: 'Lollipop',
          calories: 392,
          fat: 0.2,
          carbs: 98,
          protein: 0,
          iron: '2%'
        },
        {
          value: false,
          name: 'Honeycomb',
          calories: 408,
          fat: 3.2,
          carbs: 87,
          protein: 6.5,
          iron: '45%'
        },
        {
          value: false,
          name: 'Donut',
          calories: 452,
          fat: 25.0,
          carbs: 51,
          protein: 4.9,
          iron: '22%'
        },
        {
          value: false,
          name: 'KitKat',
          calories: 518,
          fat: 26.0,
          carbs: 65,
          protein: 7,
          iron: '6%'
        }
      ]
    }
  },
  mounted () {
    let data1 = []
    let data2 = []
    for (let i = 0; i < 14; i++) {
      data1.push(Math.random() * 1000 * (Math.random >= 0.5 ? -1 : 1))
      data2.push(Math.random() * 1000 * (Math.random >= 0.5 ? 1 : -1))
    }
    let option = {
      tooltip: {
        trigger: 'axis'
      },
      legend: {
        textStyle: {
          color: '#fff'
        },
        data: ['BT', 'base']
      },
      dataZoom: [{
        type: 'inside',
        start: 0,
        end: 100
      },
      {
        show: true,
        type: 'slider',
        y: '90%',
        start: 0,
        end: 100,
        textStyle: {
          color: '#fff'
        }
      }
      ],
      grid: {
        left: '3%',
        right: '4%',
        bottom: '3%',
        containLabel: true
      },
      toolbox: {
        feature: {
          saveAsImage: {}
        }
      },
      xAxis: {
        type: 'category',
        name: 'time',
        axisLine: {
          lineStyle: {
            color: '#fff'
          }
        },
        boundaryGap: false,
        data: ['2005', '2006', '2007', '2008', '2009', '2010', '2011', '2012', '2013', '2014', '2015', '2016', '2017', '2018']
      },
      yAxis: {
        type: 'value',
        name: 'profit',
        axisLine: {
          lineStyle: {
            color: '#fff'
          }
        }
      },
      series: [{
        name: 'BT',
        type: 'line',
        stack: '总量',
        itemStyle: {
          color: '#2196f3'
        },
        data: data1
      },
      {
        name: 'base',
        type: 'line',
        stack: '总量',
        data: data2
      }
      ]
    }
    this.loading = true
    this.$nextTick(() => {
      let dom = this.$refs.mychart
      this.chart = echarts.init(dom)
      this.chart.setOption(option)
    })
    setTimeout(() => {
      this.loading = false
    }, 500)
  }
}
</script>

<style lang="less">
  .echart {
    height: 500px
  }
</style>
